import { ElMessage } from 'element-plus'
import type { CellSlotProps } from '../type'

export function useTableCellClick(tableName?: string) {
  const router = useRouter()
  const route = useRoute()
  const cellClickHandler = (row, column, cell, event) => {
    if (tableName?.includes('FlightWaybill')) {
      switch (column.property) {
        case 'stockCode':
          router.push({
            path: `${route.path.split('/').slice(0, -1).join('/')}/waybill`,
            query: {
              waybillNO: row.stockCode,
            },
          })
          break
        case 'stowageNum':
          ElMessage.info('开发中')
          break
        default:
          break
      }
    }
    if (tableName?.includes('FlightContainer')) {
      switch (column.property) {
        case 'stowageNo':
          ElMessage.info('开发中')
          break
        default:
          break
      }
    }
    // if (tableName?.includes('WaybillGoods')) {
    //   switch (column.property) {
    //     case 'CargoNo':
    //       router.push({
    //         path: `${route.path.split('/').slice(0, -1).join('/')}/goods`,
    //         query: {
    //           waybillNO: route.query.waybillNO,
    //           goodsNO: row.CargoNo,
    //         },
    //       })
    //       break
    //     default:
    //       break
    //   }
    // }
  }
  const cellClickHandlerV2 = ({ column, rowData }: CellSlotProps) => {
    if (tableName?.includes('Airport')) {
      switch (column.columnName) {
        case 'flightNO':
          router.push({
            path: `${route.path.split('/').slice(0, -1).join('/')}/flight`,
            query: {
              flightDate: rowData.flightDate,
              flightNO: rowData.IATACode + rowData.flightNO,
            },
          })
          break
        default:
          break
      }
    }
  }

  return {
    cellClickHandler,
    cellClickHandlerV2,
  }
}
